<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Ficha daw2020-e1</title>
</head>
<body>
<h1>Ficha daw2020-e1</h1>
<h2>Avaliação: Desenvolvimento de Aplicações Web</h2>
<h4>DWEB2019::Teste::A82339</h4>
<br><p><strong>Supervisor: </strong><a href="http://www4.di.uminho.pt/~jcr">José Carlos Ramalho</a></p>
<p><strong>Data:</strong>16 de janeiro de 2020 - 16 de janeiro de 2020</p>
<hr>
<h4>Team</h4>
<ul><li>a82339 - João Pedro Machado Vilaça (
                            <a href="mailto:a82339@alunos.uminho.pt">a82339@alunos.uminho.pt</a>,
                            <a href="https://gitlab.com/machadovilaca" target="_blank">https://gitlab.com/machadovilaca</a>)
                        </li></ul>
<hr>
<h4>Abstract</h4>
<p>Exercício Nº 1: Arquivo de Música Digital</p>
<p>Foi utilizado um servidor Node.js e uma base de dados em Mongo.</p>
<p>Para correr a aplicação é necessário importar o ficheiro ex1/arquivo-musica-digital.json para a o mongo (mongoimport -d obras -c obras --jsonArray arquivo-musica-digital.json)</p>
<p>Em seguida, fazer, na pasta ex1/app, 'npm i' e depois 'npm start'.</p>
<p>---</p>
<p>Exercício Nº 2: CLAV: Classificação e Avaliação da Informação Pública</p>
<p>Quantas Entidades estão catalogadas?: 546</p>
<p>A que Tipologias pertence a Entidade "Autoridade para as Condições de Trabalho": Administração Pública" e "Autoridades de supervisão e fiscalização"</p>
<p>Em que processos a entidade "Autoridade Nacional de Segurança Rodoviária" participa como Iniciador?: "Registo nacional de condutores"</p>
<p>De que processos é dona a entidade "Colégio Militar"?: "Realização de atividades de formação e treino animal"</p>
<p>
            Para executar, na pasta ex2/app, correr 'npm i' e depois 'npm start'.
        </p>
<hr>
<h4>Deliverables</h4>
<ul>
<li><a href="pr.xml">Project Record (XML).</a></li>
<li><a href="pr.html">Project Record (HTML).</a></li>
<li><a href="ex1">Exercício Nº 1: Arquivo de Música Digital</a></li>
<li><a href="ex2">Exercício Nº 2: CLAV: Classificação e Avaliação da Informação Pública</a></li>
</ul>
</body>
</html>
